# EXTMigrateMemobject (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class EXTMigrateMemobject

    java.lang.Object
      org.lwjgl.opencl.EXTMigrateMemobject

    public final class EXTMigrateMemobject

extends java.lang.Object

Field Summary
`static int` `CL_COMMAND_MIGRATE_MEM_OBJECT_EXT` Returned in the <param_value> parameter of the clGetEventInfo when <param_name> is CL_EVENT_COMMAND_TYPE:
`static int` `CL_MIGRATE_MEM_OBJECT_HOST_EXT` Besides a value of zero, the following cl_mem_migration_flags_ext values are allowed:

Method Summary
`static int` `clEnqueueMigrateMemObjectEXT(CLCommandQueue command_queue, CLMem mem_object, long flags, PointerBuffer event_wait_list, PointerBuffer event)` Overloads clEnqueueMigrateMemObjectEXT.
`static int` `clEnqueueMigrateMemObjectEXT(CLCommandQueue command_queue, PointerBuffer mem_objects, long flags, PointerBuffer event_wait_list, PointerBuffer event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CL_MIGRATE_MEM_OBJECT_HOST_EXT

    public static final int CL_MIGRATE_MEM_OBJECT_HOST_EXT

  Besides a value of zero, the following cl_mem_migration_flags_ext values are allowed:

  See Also:
    Constant Field Values

### CL_COMMAND_MIGRATE_MEM_OBJECT_EXT

    public static final int CL_COMMAND_MIGRATE_MEM_OBJECT_EXT

  Returned in the <param_value> parameter of the clGetEventInfo when <param_name> is CL_EVENT_COMMAND_TYPE:

  See Also:
    Constant Field Values

Method Detail

### clEnqueueMigrateMemObjectEXT

    public static int clEnqueueMigrateMemObjectEXT(CLCommandQueue command_queue,
                                                   PointerBuffer mem_objects,
                                                   long flags,
                                                   PointerBuffer event_wait_list,
                                                   PointerBuffer event)

### clEnqueueMigrateMemObjectEXT

    public static int clEnqueueMigrateMemObjectEXT(CLCommandQueue command_queue,
                                                   CLMem mem_object,
                                                   long flags,
                                                   PointerBuffer event_wait_list,
                                                   PointerBuffer event)

  Overloads clEnqueueMigrateMemObjectEXT.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.